代码拉取完成,页面将自动刷新
同步操作将从 src-openEuler/hplip 强制同步,此操作会覆盖自 Fork 仓库以来所做的任何修改,且无法恢复!!!
确定后同步将在后台操作,完成时将刷新页面,请耐心等待。
diff -up hplip-3.15.2/fax/filters/pstotiff.pstotiff-is-rubbish hplip-3.15.2/fax/filters/pstotiff
--- hplip-3.15.2/fax/filters/pstotiff.pstotiff-is-rubbish 2015-02-04 09:40:43.169147058 +0100
+++ hplip-3.15.2/fax/filters/pstotiff 2015-02-04 09:47:20.786983832 +0100
@@ -1,45 +1,16 @@
-#!/usr/bin/env python
-
-import os
-import os.path
-import time
-import sys
-import tempfile
-
-PY3 = sys.version_info[0] == 3
-
-READ_SIZE = 8192
-
-total_bytes_read = 0
-temp_in_file = "-"
-
-if (len(sys.argv) > 6):
- temp_in_file = sys.argv[6]
-
-temp_out_handle, temp_out_fname = tempfile.mkstemp()
-
-font = "-I/usr/share/cups/fonts"
-device = "-sDEVICE=tiffg4 -dMaxStripSize=0 -r204x196 -dNOPAUSE -dBATCH -dSAFER -dPARANOIDSAFER -dSHORTERRORS -dWRITESYSTEMDICT -dGHOSTSCRIPT -sstdout=%stderr -sOutputFile=" + temp_out_fname + " " + temp_in_file
-
-gs_command = "/usr/bin/gs" + " " + font + " " + device
-
-exit_code = os.system(gs_command)
-
-file_len = os.stat(temp_out_fname).st_size
-if (file_len < READ_SIZE):
- READ_SIZE = file_len
-
-os.close(temp_out_handle)
-
-out_handle = open(temp_out_fname, mode='rb')
-while (total_bytes_read < file_len):
- data = out_handle.read(READ_SIZE)
- if PY3:
- sys.stdout.buffer.write(data)
- else:
- sys.stdout.write(data)
- total_bytes_read += READ_SIZE
-out_handle.close()
-
-os.remove(temp_out_fname)
-sys.exit(0)
+#!/bin/sh
+if [ $# -lt 6 ]; then
+ IN=-_
+else
+ IN="$6"
+fi
+
+TMPFILE=`mktemp /tmp/pstotiff.XXXXXX` || exit 1
+gs -I/usr/share/cups/fonts -sDEVICE=tiffg4 -dMaxStripSize=0 -r204x196 \
+ -dNOPAUSE -dBATCH -dSAFER -dPARANOIDSAFER \
+ -dSHORTERRORS -dWRITESYSTEMDICT -dGHOSTSCRIPT \
+ -sstdout=%stderr -sOutputFile="$TMPFILE" "$IN"
+RET=$?
+cat "$TMPFILE"
+rm -f "$TMPFILE"
+exit $RET
此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。
如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。